> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seomator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disconnect Search Console and revoke its token



## OpenAPI

````yaml https://api.seomator.com/openapi.json delete /v1/projects/{id}/gsc
openapi: 3.1.0
info:
  title: SEOmator API
  version: 0.1.0
servers:
  - url: https://api.seomator.com
security: []
paths:
  /v1/projects/{id}/gsc:
    delete:
      tags:
        - ai visibility
      summary: Disconnect Search Console and revoke its token
      parameters:
        - schema:
            type: string
            description: Project id (proj_…) or slug (the domain with dots as dashes).
          required: true
          description: Project id (proj_…) or slug (the domain with dots as dashes).
          name: id
          in: path
      responses:
        '204':
          description: Disconnected
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Try again later
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - bad_request
                - unauthorized
                - insufficient_credits
                - plan_limit
                - forbidden
                - not_found
                - conflict
                - rate_limit_exceeded
                - internal_server_error
                - service_unavailable
            message:
              type: string
            requestId:
              type: string
          required:
            - code
            - message
      required:
        - error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [Integrations: MCP clients and connected apps](https://docs.seomator.com/settings/integrations.md)
- [Projects: set up, track and manage a site](https://docs.seomator.com/getting-started/projects.md)
- [Pick the Search Console property](https://docs.seomator.com/api-reference/ai-visibility/pick-the-search-console-property.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.